Bug 980207 - red color used for inactive services falsely suggests problems
red color used for inactive services falsely suggests problems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: systemd-ui (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 13:30 EDT by KitchM
Modified: 2013-12-28 18:37 EST (History)
4 users (show)

See Also:
Fixed In Version: systemd-ui-3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-28 18:37:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of problem listing (154.08 KB, image/png)
2013-07-01 13:30 EDT, KitchM
no flags Details

  None (edit)
Description KitchM 2013-07-01 13:30:30 EDT
Created attachment 767459 [details]
Example of problem listing

Description of problem:systemd System Manager displays many problems in red, but does not offer way to fix or explanation of what to do.


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.Open program
2.read display
3.

Actual results:


Expected results:


Additional info:
Comment 1 Michal Schmidt 2013-07-01 13:57:12 EDT
The red color here is not meant to indicate problems. systemdadm just uses a crazy color scheme.
Comment 2 KitchM 2013-07-01 23:58:21 EDT
Heck, that doesn't even begin to scratch the surface.  In fact, I didn't even think of that.

The real serious issues include the line where it says that a particular item wants a certain thing but it is dead. That can't be good.  Even required things are dead.

If that is wrong, then the program is absolutely misleading and worthless to the average user.  Are you saying those things are just wrong?

And let's not forget that the menu calls the program "Services", rather than "systemd System Manager".  Is any part of it actually useful?

Your edit of the title is totally improper and insulting.  Or is it a self-serving method you apply to something you don't want to fix?
Comment 3 Kay Sievers 2013-07-02 05:42:01 EDT
This program is not maintained and not ready for general consumption.
It is more a prototype of what *could* be done, than anything useful.

It might not get fixed any time soon, unless someone takes it over the
maintainership.

Please don't expect any work to be done with it, none of us has the time
to work on it. At the moment it's the best to just ignore it entirely.
Comment 4 Michal Schmidt 2013-07-02 05:42:29 EDT
(In reply to KitchM from comment #2)
> The real serious issues include the line where it says that a particular
> item wants a certain thing but it is dead. That can't be good.  Even
> required things are dead.

Your screenshot shows the view of shutdown.target, which itself is inactive (dead). Therefore it is not a problem that some of its requirement dependencies are inactive as well.

> If that is wrong, then the program is absolutely misleading and worthless to
> the average user. Are you saying those things are just wrong?

The information it shows is not wrong, but it needs to be properly understood. Admittedly systemadm's GUI is not very well designed and it can be quite confusing to some users. This is one of the reasons we do not install it by default.

> Your edit of the title is totally improper and insulting.  Or is it a
> self-serving method you apply to something you don't want to fix?

Editing bug titles is a proper procedure in bug triage. And now I am insulted.
Comment 5 KitchM 2013-07-03 11:23:58 EDT
I will remove the worthless program.  Since it isn't by default and isn't useful, it should be removed from the repositories as well, unless it is in testing.

Don't be insulted.  You took it upon yourself to totally change the meaning of my post.  You obviously felt you could handle any reprecussions.

I am the only one that should be insulted, because now you are trying to shift the blame for your mistake upon me.  Put it back like it was.
Comment 6 Fedora Update System 2013-12-19 20:42:57 EST
systemd-ui-3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/systemd-ui-3-1.fc20
Comment 7 Fedora Update System 2013-12-20 21:29:43 EST
Package systemd-ui-3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-ui-3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23755/systemd-ui-3-1.fc20
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-12-28 18:37:04 EST
systemd-ui-3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.